Bug 653142 - Xorg fails with assertion in include/privates.h (dixGetPrivateAddr: Assertion `key->initialized' failed.)
Summary: Xorg fails with assertion in include/privates.h (dixGetPrivateAddr: Assertion...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 15
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 17:00 UTC by Piergiorgio Sartor
Modified: 2018-04-11 08:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:25:43 UTC
Type: ---


Attachments (Terms of Use)
dmesg of drm and nouveau related messages (405.12 KB, application/octet-stream)
2012-07-23 15:20 UTC, kevin martin
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 28449 None None None Never
FreeDesktop.org 31614 None None None Never
Launchpad 625321 None None None Never

Description Piergiorgio Sartor 2010-11-14 17:00:35 UTC
Description of problem:
After upgrading from F13 to F14, it seems a problem showed up with the X server.
The PC has a NVIDIA 6150 chipset and each of the three drivers ("nvidia", "nouveau" and "nv") fail similarly with the following error reported by Xorg:

Xorg: ../../../include/privates.h:122: dixGetPrivateAddr: Assertion `key->initialized' failed.

The screen goes black and the keyboard seems unresponsive.

The /var/log/messages has something like:

...
Nov 14 17:28:54 lazy gdm-binary[7131]: WARNING: GdmDisplay: display lasted 0.160790 seconds
...

Sometimes:

...
Nov 14 16:34:34 lazy acpid: client 17316[0:0] has disconnected
Nov 14 16:34:34 lazy acpid: client connected from 17322[0:0]
Nov 14 16:34:34 lazy acpid: 1 client rule loaded
Nov 14 16:34:34 lazy gdm-binary[17294]: WARNING: GdmDisplay: display lasted 0.579080 seconds
...

The "vesa" driver works fine, with all its limitations, of course.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.9.1-2.fc14.x86_64

How reproducible:
Always

Steps to Reproduce:
1.
Start X11 with "init 5" or directly "startx" using a specific NVIDIA driver ("nvidia", "nouveau" or "nv").
  
Actual results:
Black screen and keyboard apparently dead.

Expected results:
Well, usual "gdm" login screen or graphical interface, depending on the start mode.

Additional info:

The last part of the /var/log/Xorg.0.log is:

...
(==) NVIDIA(0): Disabling shared memory pixmaps
(II) NVIDIA(0): Initialized X Rendering Acceleration
(==) NVIDIA(0): Backing store disabled
(==) NVIDIA(0): Silken mouse enabled
(==) NVIDIA(0): DPMS enabled
<end of log here --> black screen>

It is almost the same with the three different drivers, just replace "NVIDIA" with "NOUVEAU" or "NV".
For example:

...
[  1740.206] (II) NOUVEAU(0): [DRI2]   DRI driver: nouveau
[  1740.206] (II) NOUVEAU(0): GART: 64MiB available
[  1740.211] (II) NOUVEAU(0): GART: Allocated 16MiB as a scratch buffer
[  1740.212] (II) EXA(0): Driver allocated offscreen pixmaps
[  1740.212] (II) EXA(0): Driver registered support for the following operations:
[  1740.212] (II)         Solid
[  1740.212] (II)         Copy
[  1740.212] (II)         Composite (RENDER acceleration)
[  1740.212] (II)         UploadToScreen
[  1740.212] (II)         DownloadFromScreen
[  1740.212] (==) NOUVEAU(0): Backing store disabled
[  1740.212] (==) NOUVEAU(0): Silken mouse enabled
<end of log here --> black screen>

Another PC, with a FX-5200, works fine and it reports, as last lines:

...
[    54.880] (**) NVIDIA(0): DPMS enabled
[    54.881] (II) Loading extension NV-CONTROL
[    54.883] (==) RandR enabled
[    54.884] (II) Initializing built-in extension Generic Event Extension
[    54.884] (II) Initializing built-in extension SHAPE
[    54.884] (II) Initializing built-in extension MIT-SHM
[    54.884] (II) Initializing built-in extension XInputExtension
[    54.884] (II) Initializing built-in extension XTEST
[    54.884] (II) Initializing built-in extension BIG-REQUESTS
[    54.884] (II) Initializing built-in extension SYNC
[    54.884] (II) Initializing built-in extension XKEYBOARD
[    54.884] (II) Initializing built-in extension XC-MISC
[    54.884] (II) Initializing built-in extension XINERAMA
[    54.884] (II) Initializing built-in extension XFIXES
[    54.884] (II) Initializing built-in extension RENDER
[    54.884] (II) Initializing built-in extension RANDR
[    54.884] (II) Initializing built-in extension COMPOSITE
[    54.884] (II) Initializing built-in extension DAMAGE
[    54.884] (II) Initializing extension GLX
[    54.886] (II) SELinux: Disabled on system
[    55.399] (II) config/udev: Adding input device Power Button (/dev/input/event1)
[    55.399] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    55.399] (II) LoadModule: "evdev"
[    55.402] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    55.413] (II) Module evdev: vendor="X.Org Foundation"
[    55.413] 	compiled for 1.8.99.905, module version = 2.5.0
[    55.413] 	Module class: X.Org XInput Driver
[    55.413] 	ABI class: X.Org XInput driver, version 11.0
[    55.414] (**) Power Button: always reports core events
[    55.414] (**) Power Button: Device: "/dev/input/event1"
[    55.414] (--) Power Button: Found keys
[    55.414] (II) Power Button: Configuring as keyboard
[    55.414] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
[    55.414] (**) Option "xkb_rules" "evdev"
[    55.414] (**) Option "xkb_model" "evdev"
[    55.414] (**) Option "xkb_layout" "us"
[    55.486] (II) config/udev: Adding input device Power Button (/dev/input/event0)
[    55.486] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    55.486] (**) Power Button: always reports core events
[    55.486] (**) Power Button: Device: "/dev/input/event0"
[    55.487] (--) Power Button: Found keys
[    55.487] (II) Power Button: Configuring as keyboard
[    55.487] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
[    55.487] (**) Option "xkb_rules" "evdev"
[    55.487] (**) Option "xkb_model" "evdev"
[    55.487] (**) Option "xkb_layout" "us"
[    55.504] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event2)
[    55.504] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[    55.504] (**) AT Translated Set 2 keyboard: always reports core events
[    55.504] (**) AT Translated Set 2 keyboard: Device: "/dev/input/event2"
[    55.504] (--) AT Translated Set 2 keyboard: Found keys
[    55.504] (II) AT Translated Set 2 keyboard: Configuring as keyboard
[    55.504] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
[    55.504] (**) Option "xkb_rules" "evdev"
[    55.505] (**) Option "xkb_model" "evdev"
[    55.505] (**) Option "xkb_layout" "us"
<end of log here --> gdm login screen>

Looking around in internet it seems a similar problem was already reported and, possibly, fixed by some update, unfortunately not for this case.

It could also be there is a very simple explanation, maybe some missing configuration file or similar.
Just for completeness, I removed and re-installed "system-config-keyboard" during the upgrade from F13 to F14, so maybe this one left something undefined.

Any idea?

Thanks,

bye,

pg

Comment 1 Matěj Cepl 2010-11-16 00:17:42 UTC
Upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=28449#c5 claims that:
> rebuilding mesa with the extra --enable-gallium-nouveau seems to have fixed
> things.

Comment 2 Matěj Cepl 2010-11-16 00:19:45 UTC
Interesting there is also Savage bug for this in the upstream bugzilla (https://bugs.freedesktop.org/show_bug.cgi?id=31614).

Comment 3 Piergiorgio Sartor 2010-11-16 19:37:32 UTC
Hi,

honestly I do not think the "mesa" component is correct.

In fact, the problem happens with the NVIDIA binary blob, which has its own OpenGL libraries.

Furthermore, I think the drivers are OK, all stop at the same place (more or less), i.e. the "Silken mouse enabled".

The working PC proceeds further with the NV-CONTROL extensions and xrandr.

If you have something to test, please let me know.

bye,

pg

Comment 4 Piergiorgio Sartor 2010-12-01 09:06:35 UTC
Hi all,

how is it going with this one? Anything to test?

It is becoming more and more annoying to use 1024x768 in VESA mode... :-(

So, if you think there is something that could be done or tested, please do not hesitate to inform me.

Thanks,

bye,

pg

Comment 5 Piergiorgio Sartor 2011-01-10 14:45:24 UTC
Hi again,

any news on this one?

I saw the upgrades and installed them, but the problem seems to be still there.

Again, if you have suggestions, workarounds or something to test, please let me know.

Thanks,

bye,

pg

Comment 6 Piergiorgio Sartor 2011-01-22 16:48:29 UTC
Hi all,

after looking around for the same problem, I found an hint which seems to solve the issue.

Basically, the suggestion was to comment out from /etc/X11/xorg.conf:

Load  "v4l"

i.e. removing the video4linux X11 module.

With that remove, the X server started without problems, with the expected resolution and so on.

Hope this helps,

bye,

pg

Comment 7 Adam Jackson 2012-01-03 23:55:24 UTC
Think this is still valid in F15, updating version.

Comment 8 kevin martin 2012-07-23 15:18:35 UTC
fwiw, this has just happened in rawhide with the following xorg components installed:

xorg-x11-fonts-misc-7.5-5.fc17.noarch
xorg-x11-xkb-utils-7.7-1.fc18.x86_64
xorg-x11-server-Xorg-1.12.99.902-1.20120717.fc18.x86_64
xorg-x11-apps-7.6-5.fc17.x86_64
xorg-x11-server-common-1.12.99.902-1.20120717.fc18.x86_64
xorg-x11-font-utils-7.5-8.fc18.x86_64
xorg-x11-utils-7.5-6.fc17.x86_64
xorg-x11-server-utils-7.5-12.fc18.x86_64
xorg-x11-resutils-7.5-3.fc17.x86_64
xorg-x11-drv-evdev-2.7.0-5.20120718gitf5ede9808.fc18.x86_64
xorg-x11-xauth-1.0.7-1.fc17.x86_64
xorg-x11-proto-devel-7.6-22.fc18.noarch
xorg-x11-fonts-Type1-7.5-5.fc17.noarch
xorg-x11-drv-nouveau-1.0.1-3.fc18.x86_64
xorg-x11-fonts-ISO8859-1-100dpi-7.5-5.fc17.noarch
xorg-x11-xinit-1.3.2-5.fc18.x86_64

server and server-common were updated today and after a reboot I can get into X briefly but then X crashes and I see this in my startx log:

X: ../include/privates.h:123: dixGetPrivateAddr: Assertion `key->initialized' failed.

/var/log/Xorg.0.log looks like this:

[   165.361]
This is a pre-release version of the X server from Fedora Project.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.
[   165.361]
X.Org X Server 1.12.99.902 (1.13.0 RC 2)
Release Date: 2012-07-17
[   165.362] X Protocol Version 11, Revision 0
[   165.362] Build Operating System:  2.6.32-279.1.1.el6.x86_64
[   165.362] Current Operating System: Linux ktmtoshiba 3.4.0-0.rc7.git6.1.fc18.x86_64 #1 SMP Sun May 20 12:59:46 UTC 2012 x86_64
[   165.362] Kernel command line: BOOT_IMAGE=/vmlinuz-3.4.0-0.rc7.git6.1.fc18.x86_64 root=UUID=872f0158-7e7d-43f6-9916-5c833804656a
ro drm.debug=14 log_buf_len=16M SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us nouveau.noaccel=1
[   165.363] Build Date: 18 July 2012  07:41:57AM
[   165.363] Build ID: xorg-x11-server 1.12.99.902-1.20120717.fc18
[   165.363] Current version of pixman: 0.26.2
[   165.363]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[   165.363] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   165.364] (==) Log file: "/var/log/Xorg.0.log", Time: Mon Jul 23 09:36:04 2012
[   165.430] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[   165.443] (==) No Layout section.  Using the first Screen section.
[   165.443] (==) No screen section available. Using defaults.
[   165.443] (**) |-->Screen "Default Screen Section" (0)
[   165.443] (**) |   |-->Monitor "<default monitor>"
[   165.444] (==) No monitor specified for screen "Default Screen Section".
        Using a default monitor configuration.
[   165.445] (==) Automatically adding devices
[   165.445] (==) Automatically enabling devices
[   165.445] (==) Automatically adding GPU devices
[   165.454] (==) FontPath set to:
        catalogue:/etc/X11/fontpath.d,
        built-ins
[   165.454] (==) ModulePath set to "/usr/lib64/xorg/modules"
[   165.454] (II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
[   165.454] (II) Loader magic: 0x83bcc0
[   165.454] (II) Module ABI versions:
[   165.454]    X.Org ANSI C Emulation: 0.4
[   165.454]    X.Org Video Driver: 13.0
[   165.455]    X.Org XInput driver : 18.0
[   165.455]    X.Org Server Extension : 6.0
[   165.463] (II) config/udev: Adding drm device (/dev/dri/card0)
[   165.469] (--) PCI:*(0:1:0:0) 10de:0cb1:1179:ff50 rev 162, Mem @ 0xcc000000/16777216, 0xd0000000/268435456, 0xce000000/33554432,
I/O @ 0x00002000/128, BIOS @ 0x????????/524288
[   165.470] Initializing built-in extension Generic Event Extension
[   165.470] Initializing built-in extension SHAPE
[   165.470] Initializing built-in extension MIT-SHM
[   165.470] Initializing built-in extension XInputExtension
[   165.470] Initializing built-in extension XTEST
[   165.470] Initializing built-in extension BIG-REQUESTS
[   165.470] Initializing built-in extension SYNC
[   165.470] Initializing built-in extension XKEYBOARD
[   165.470] Initializing built-in extension XC-MISC
[   165.470] Initializing built-in extension XINERAMA
[   165.470] Initializing built-in extension XFIXES
[   165.470] Initializing built-in extension RENDER
[   165.470] Initializing built-in extension RANDR
[   165.470] Initializing built-in extension COMPOSITE
[   165.470] Initializing built-in extension DAMAGE
[   165.471] Initializing built-in extension MIT-SCREEN-SAVER
[   165.471] Initializing built-in extension DOUBLE-BUFFER
[   165.471] Initializing built-in extension RECORD
[   165.471] Initializing built-in extension DPMS
[   165.471] Initializing built-in extension X-Resource
[   165.471] Initializing built-in extension XVideo
[   165.471] Initializing built-in extension XVideo-MotionCompensation
[   165.471] Initializing built-in extension SELinux
[   165.472] Initializing built-in extension XFree86-VidModeExtension
[   165.472] Initializing built-in extension XFree86-DGA
[   165.472] Initializing built-in extension XFree86-DRI
[   165.472] Initializing built-in extension DRI2
[   165.472] (II) LoadModule: "glx"
[   165.527] (II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
[   165.541] (II) Module glx: vendor="X.Org Foundation"
[   165.541]    compiled for 1.12.99.902, module version = 1.0.0
[   165.541]    ABI class: X.Org Server Extension, version 6.0
[   165.541] (==) AIGLX enabled
[   165.542] Loading extension GLX
[   165.542] (==) Matched nouveau as autoconfigured driver 0
[   165.542] (==) Matched nv as autoconfigured driver 1
[   165.542] (==) Matched nouveau as autoconfigured driver 2
[   165.542] (==) Matched nv as autoconfigured driver 3
[   165.542] (==) Matched vesa as autoconfigured driver 4
[   165.542] (==) Matched modesetting as autoconfigured driver 5
[   165.542] (==) Matched fbdev as autoconfigured driver 6
[   165.542] (==) Assigned the driver to the xf86ConfigLayout
[   165.542] (II) LoadModule: "nouveau"
[   165.543] (II) Loading /usr/lib64/xorg/modules/drivers/nouveau_drv.so
[   165.566] (II) Module nouveau: vendor="X.Org Foundation"
[   165.567]    compiled for 1.12.99.902, module version = 1.0.1
[   165.567]    Module class: X.Org Video Driver
[   165.567]    ABI class: X.Org Video Driver, version 13.0
[   165.567] (II) LoadModule: "nv"
[   165.570] (WW) Warning, couldn't open module nv
[   165.570] (II) UnloadModule: "nv"
[   165.570] (II) Unloading nv
[   165.570] (EE) Failed to load module "nv" (module does not exist, 0)
[   165.571] (II) LoadModule: "vesa"
[   165.573] (WW) Warning, couldn't open module vesa
[   165.573] (II) UnloadModule: "vesa"
[   165.573] (II) Unloading vesa
[   165.573] (EE) Failed to load module "vesa" (module does not exist, 0)
[   165.573] (II) LoadModule: "modesetting"
[   165.574] (WW) Warning, couldn't open module modesetting
[   165.574] (II) UnloadModule: "modesetting"
[   165.574] (II) Unloading modesetting
[   165.574] (EE) Failed to load module "modesetting" (module does not exist, 0)
[   165.574] (II) LoadModule: "fbdev"
[   165.576] (WW) Warning, couldn't open module fbdev
[   165.576] (II) UnloadModule: "fbdev"
[   165.576] (II) Unloading fbdev
[   165.576] (EE) Failed to load module "fbdev" (module does not exist, 0)
[   165.576] (II) NOUVEAU driver
[   165.576] (II) NOUVEAU driver for NVIDIA chipset families :
[   165.576]    RIVA TNT        (NV04)
[   165.576]    RIVA TNT2       (NV05)
[   165.576]    GeForce 256     (NV10)
[   165.576]    GeForce 2       (NV11, NV15)
[   165.577]    GeForce 4MX     (NV17, NV18)
[   165.577]    GeForce 3       (NV20)
[   165.577]    GeForce 4Ti     (NV25, NV28)
[   165.577]    GeForce FX      (NV3x)
[   165.577]    GeForce 6       (NV4x)
[   165.577]    GeForce 7       (G7x)
[   165.578]    GeForce 8       (G8x)
[   165.578]    GeForce GTX 200 (NVA0)
[   165.578]    GeForce GTX 400 (NVC0)
[   165.578] (--) using VT number 3

[   165.585] (II) [drm] nouveau interface version: 1.0.0
[   165.586] (II) Loading sub module "dri"
[   165.586] (II) LoadModule: "dri"
[   165.587] (II) Module "dri" already built-in
[   165.587] (II) NOUVEAU(0): Loaded DRI module
[   165.588] (II) [drm] DRM interface version 1.4
[   165.589] (II) [drm] DRM open master succeeded.
[   165.589] (--) NOUVEAU(0): Chipset: "NVIDIA NVa3"
[   165.589] (II) NOUVEAU(0): Creating default Display subsection in Screen section
        "Default Screen Section" for depth/fbbpp 24/32
[   165.589] (==) NOUVEAU(0): Depth 24, (--) framebuffer bpp 32
[   165.589] (==) NOUVEAU(0): RGB weight 888
[   165.589] (==) NOUVEAU(0): Default visual is TrueColor
[   165.589] (==) NOUVEAU(0): Using HW cursor
[   165.589] (==) NOUVEAU(0): GLX sync to VBlank disabled.
[   165.589] (==) NOUVEAU(0): Page flipping enabled
[   165.589] (==) NOUVEAU(0): Swap limit set to 2 [Max allowed 2]
[   165.713] (II) NOUVEAU(0): Output LVDS-1 has no monitor section
[   165.806] (II) NOUVEAU(0): Output VGA-1 has no monitor section
[   165.809] (II) NOUVEAU(0): Output HDMI-1 has no monitor section
[   165.873] (II) NOUVEAU(0): Output DP-1 has no monitor section
[   165.931] (II) NOUVEAU(0): EDID for output LVDS-1
[   165.931] (II) NOUVEAU(0): Manufacturer: SEC  Model: 324b  Serial#: 0
[   165.931] (II) NOUVEAU(0): Year: 2008  Week: 0
[   165.931] (II) NOUVEAU(0): EDID Version: 1.3
[   165.931] (II) NOUVEAU(0): Digital Display Input
[   165.931] (II) NOUVEAU(0): Max Image Size [cm]: horiz.: 41  vert.: 23
[   165.931] (II) NOUVEAU(0): Gamma: 2.20
[   165.931] (II) NOUVEAU(0): No DPMS capabilities specified
[   165.931] (II) NOUVEAU(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4
[   165.931] (II) NOUVEAU(0): First detailed timing is preferred mode
[   165.931] (II) NOUVEAU(0): redX: 0.588 redY: 0.340   greenX: 0.330 greenY: 0.537
[   165.931] (II) NOUVEAU(0): blueX: 0.151 blueY: 0.122   whiteX: 0.313 whiteY: 0.329
[   165.931] (II) NOUVEAU(0): Manufacturer's mask: 0
[   165.932] (II) NOUVEAU(0): Supported detailed timing:
[   165.932] (II) NOUVEAU(0): clock: 121.7 MHz   Image Size:  409 x 230 mm
[   165.932] (II) NOUVEAU(0): h_active: 1680  h_sync: 1728  h_sync_end 1760 h_blank_end 2080 h_border: 0
[   165.932] (II) NOUVEAU(0): v_active: 945  v_sync: 947  v_sync_end 953 v_blanking: 975 v_border: 0
[   165.932] (II) NOUVEAU(0): Unknown vendor-specific block f
[   165.932] (II) NOUVEAU(0):  SAMSUNG
[   165.932] (II) NOUVEAU(0):  LTN184KT02T01
[   165.932] (II) NOUVEAU(0): EDID (in hex):
[   165.932] (II) NOUVEAU(0):   00ffffffffffff004ca34b3200000000
[   165.932] (II) NOUVEAU(0):   00120103802917780a8ad59657548926
[   165.932] (II) NOUVEAU(0):   1f505400000001010101010101010101
[   165.932] (II) NOUVEAU(0):   010101010101882f909061b11e303020
[   165.932] (II) NOUVEAU(0):   260099e6100000190000000f00000000
[   165.932] (II) NOUVEAU(0):   000000000032a0051b00000000fe0053
[   165.932] (II) NOUVEAU(0):   414d53554e470a2020202020000000fe
[   165.932] (II) NOUVEAU(0):   004c544e3138344b54303254303100c5
[   165.932] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12875
[   165.932] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[   165.932] (II) NOUVEAU(0): Modeline "1680x945"x0.0  121.68  1680 1728 1760 2080  945 947 953 975 -hsync -vsync (58.5 kHz eP)
[   165.933] (II) NOUVEAU(0): Printing probed modes for output LVDS-1
[   165.933] (II) NOUVEAU(0): Modeline "1680x945"x60.0  121.68  1680 1728 1760 2080  945 947 953 975 -hsync -vsync (58.5 kHz eP)
[   165.933] (II) NOUVEAU(0): Modeline "1152x864"x60.0   81.75  1152 1216 1336 1520  864 867 871 897 -hsync +vsync (53.8 kHz e)
[   165.933] (II) NOUVEAU(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz e)
[   165.933] (II) NOUVEAU(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz e)
[   165.933] (II) NOUVEAU(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz e)
[   165.933] (II) NOUVEAU(0): Modeline "720x400"x59.6   22.25  720 744 808 896  400 403 413 417 -hsync +vsync (24.8 kHz e)
[   165.933] (II) NOUVEAU(0): Modeline "640x400"x60.0   20.00  640 664 720 800  400 403 409 417 -hsync +vsync (25.0 kHz e)
[   165.933] (II) NOUVEAU(0): Modeline "640x350"x59.8   17.50  640 664 720 800  350 353 363 366 -hsync +vsync (21.9 kHz e)
[   166.025] (II) NOUVEAU(0): EDID for output VGA-1
[   166.028] (II) NOUVEAU(0): EDID for output HDMI-1
[   166.092] (II) NOUVEAU(0): EDID for output DP-1
[   166.092] (II) NOUVEAU(0): Output LVDS-1 connected
[   166.092] (II) NOUVEAU(0): Output VGA-1 disconnected
[   166.092] (II) NOUVEAU(0): Output HDMI-1 disconnected
[   166.092] (II) NOUVEAU(0): Output DP-1 disconnected
[   166.092] (II) NOUVEAU(0): Using exact sizes for initial modes
[   166.092] (II) NOUVEAU(0): Output LVDS-1 using initial mode 1680x945 +0+0
[   166.092] (II) NOUVEAU(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[   166.093] (--) NOUVEAU(0): Virtual size is 1680x945 (pitch 0)
[   166.093] (**) NOUVEAU(0):  Driver mode "1680x945": 121.7 MHz (scaled from 0.0 MHz), 58.5 kHz, 60.0 Hz
[   166.093] (II) NOUVEAU(0): Modeline "1680x945"x60.0  121.68  1680 1728 1760 2080  945 947 953 975 -hsync -vsync (58.5 kHz eP)
[   166.093] (**) NOUVEAU(0):  Driver mode "1152x864": 81.8 MHz (scaled from 0.0 MHz), 53.8 kHz, 60.0 Hz
[   166.093] (II) NOUVEAU(0): Modeline "1152x864"x60.0   81.75  1152 1216 1336 1520  864 867 871 897 -hsync +vsync (53.8 kHz e)
[   166.093] (**) NOUVEAU(0):  Driver mode "1024x768": 63.5 MHz (scaled from 0.0 MHz), 47.8 kHz, 59.9 Hz
[   166.093] (II) NOUVEAU(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz e)
[   166.093] (**) NOUVEAU(0):  Driver mode "800x600": 38.2 MHz (scaled from 0.0 MHz), 37.4 kHz, 59.9 Hz
[   166.094] (II) NOUVEAU(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz e)
[   166.094] (**) NOUVEAU(0):  Driver mode "640x480": 23.8 MHz (scaled from 0.0 MHz), 29.7 kHz, 59.4 Hz
[   166.094] (II) NOUVEAU(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz e)
[   166.094] (**) NOUVEAU(0):  Driver mode "720x400": 22.2 MHz (scaled from 0.0 MHz), 24.8 kHz, 59.6 Hz
[   166.094] (II) NOUVEAU(0): Modeline "720x400"x59.6   22.25  720 744 808 896  400 403 413 417 -hsync +vsync (24.8 kHz e)
[   166.094] (**) NOUVEAU(0):  Driver mode "640x400": 20.0 MHz (scaled from 0.0 MHz), 25.0 kHz, 60.0 Hz
[   166.094] (II) NOUVEAU(0): Modeline "640x400"x60.0   20.00  640 664 720 800  400 403 409 417 -hsync +vsync (25.0 kHz e)
[   166.094] (**) NOUVEAU(0):  Driver mode "640x350": 17.5 MHz (scaled from 0.0 MHz), 21.9 kHz, 59.8 Hz
[   166.094] (II) NOUVEAU(0): Modeline "640x350"x59.8   17.50  640 664 720 800  350 353 363 366 -hsync +vsync (21.9 kHz e)
[   166.095] (**) NOUVEAU(0): Display dimensions: (410, 230) mm
[   166.095] (**) NOUVEAU(0): DPI set to (104, 104)
[   166.095] (II) Loading sub module "fb"
[   166.095] (II) LoadModule: "fb"
[   166.096] (II) Loading /usr/lib64/xorg/modules/libfb.so
[   166.133] (II) Module fb: vendor="X.Org Foundation"
[   166.134]    compiled for 1.12.99.902, module version = 1.0.0
[   166.134]    ABI class: X.Org ANSI C Emulation, version 0.4
[   166.134] (II) Loading sub module "exa"
[   166.134] (II) LoadModule: "exa"
[   166.135] (II) Loading /usr/lib64/xorg/modules/libexa.so
[   166.174] (II) Module exa: vendor="X.Org Foundation"
[   166.174]    compiled for 1.12.99.902, module version = 2.6.0
[   166.174]    ABI class: X.Org Video Driver, version 13.0
[   166.174] (II) Loading sub module "shadowfb"
[   166.174] (II) LoadModule: "shadowfb"
[   166.175] (II) Loading /usr/lib64/xorg/modules/libshadowfb.so
[   166.198] (II) Module shadowfb: vendor="X.Org Foundation"
[   166.198]    compiled for 1.12.99.902, module version = 1.0.0
[   166.198]    ABI class: X.Org ANSI C Emulation, version 0.4
[   166.198] (--) Depth 24 pixmap format is 32 bpp
[   166.198] (EE) NOUVEAU(0): Error creating GPU channel: -19
[   166.198] (EE) NOUVEAU(0): Error initialising acceleration.  Falling back to NoAccel
[   166.212] (==) NOUVEAU(0): Backing store disabled
[   166.212] (==) NOUVEAU(0): Silken mouse enabled
[   166.212] (==) NOUVEAU(0): DPMS enabled
[   166.212] (II) NOUVEAU(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[   166.232] (--) RandR disabled
[   166.241] (II) SELinux: Disabled on system
[   166.243] (II) AIGLX: Screen 0 is not DRI2 capable
[   166.243] (II) AIGLX: Screen 0 is not DRI capable
[   166.897] (II) AIGLX: Loaded and initialized swrast
[   166.897] (II) GLX: Initialized DRISWRAST GL provider for screen 0
[   166.904] (II) NOUVEAU(0): NVEnterVT is called.
[   166.914] (II) NOUVEAU(0): Setting screen physical size to 444 x 250
[   166.914] resize called 1680 945
[   167.780] (II) config/udev: Adding input device Power Button (/dev/input/event2)
[   167.780] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[   167.780] (II) LoadModule: "evdev"
[   167.781] (II) Loading /usr/lib64/xorg/modules/input/evdev_drv.so
[   167.826] (II) Module evdev: vendor="X.Org Foundation"
[   167.826]    compiled for 1.12.99.902, module version = 2.7.0
[   167.826]    Module class: X.Org XInput Driver
[   167.826]    ABI class: X.Org XInput driver, version 18.0
[   167.826] (II) Using input driver 'evdev' for 'Power Button'
[   167.826] (**) Power Button: always reports core events
[   167.826] (**) evdev: Power Button: Device: "/dev/input/event2"
[   167.827] (--) evdev: Power Button: Vendor 0 Product 0x1
[   167.827] (--) evdev: Power Button: Found keys
[   167.827] (II) evdev: Power Button: Configuring as keyboard
[   167.827] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2/event2"
[   167.827] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
[   167.827] (**) Option "xkb_rules" "evdev"
[   167.827] (**) Option "xkb_model" "evdev"
[   167.827] (**) Option "xkb_layout" "us"
[   167.872] (II) config/udev: Adding input device Video Bus (/dev/input/event5)
[   167.872] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[   167.872] (II) Using input driver 'evdev' for 'Video Bus'
[   167.872] (**) Video Bus: always reports core events
[   167.872] (**) evdev: Video Bus: Device: "/dev/input/event5"
[   167.873] (--) evdev: Video Bus: Vendor 0 Product 0x6
[   167.873] (--) evdev: Video Bus: Found keys
[   167.873] (II) evdev: Video Bus: Configuring as keyboard
[   167.873] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0e/LNXVIDEO:02/input/input5/event5
"
[   167.873] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 7)
[   167.873] (**) Option "xkb_rules" "evdev"
[   167.873] (**) Option "xkb_model" "evdev"
[   167.874] (**) Option "xkb_layout" "us"
[   167.875] (II) config/udev: Adding input device Power Button (/dev/input/event0)
[   167.875] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[   167.875] (II) Using input driver 'evdev' for 'Power Button'
[   167.875] (**) Power Button: always reports core events
[   167.875] (**) evdev: Power Button: Device: "/dev/input/event0"
[   167.875] (--) evdev: Power Button: Vendor 0 Product 0x1
[   167.875] (--) evdev: Power Button: Found keys
[   167.875] (II) evdev: Power Button: Configuring as keyboard
[   167.875] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input0/event0"
[   167.876] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 8)
[   167.876] (**) Option "xkb_rules" "evdev"
[   167.876] (**) Option "xkb_model" "evdev"
[   167.876] (**) Option "xkb_layout" "us"
[   167.877] (II) config/udev: Adding input device Lid Switch (/dev/input/event1)
[   167.877] (II) No input driver specified, ignoring this device.
[   167.877] (II) This device may have been added with another device file.
[   167.877] (II) config/udev: Adding drm device (/dev/dri/card0)
[   167.879] (II) config/udev: Adding input device HDA NVidia HDMI/DP,pcm=8 (/dev/input/event10)
[   167.880] (II) No input driver specified, ignoring this device.
[   167.880] (II) This device may have been added with another device file.
[   167.881] (II) config/udev: Adding input device HDA NVidia HDMI/DP,pcm=7 (/dev/input/event11)
[   167.881] (II) No input driver specified, ignoring this device.
[   167.881] (II) This device may have been added with another device file.
[   167.882] (II) config/udev: Adding input device HDA NVidia HDMI/DP,pcm=3 (/dev/input/event12)
[   167.882] (II) No input driver specified, ignoring this device.
[   167.882] (II) This device may have been added with another device file.
[   167.883] (II) config/udev: Adding input device HDA NVidia HDMI/DP,pcm=9 (/dev/input/event9)
[   167.883] (II) No input driver specified, ignoring this device.
[   167.883] (II) This device may have been added with another device file.
[   167.884] (II) config/udev: Adding input device Logitech USB Optical Mouse (/dev/input/event6)
[   167.884] (**) Logitech USB Optical Mouse: Applying InputClass "evdev pointer catchall"
[   167.884] (II) Using input driver 'evdev' for 'Logitech USB Optical Mouse'
[   167.884] (**) Logitech USB Optical Mouse: always reports core events
[   167.884] (**) evdev: Logitech USB Optical Mouse: Device: "/dev/input/event6"
[   167.884] (--) evdev: Logitech USB Optical Mouse: Vendor 0x46d Product 0xc018
[   167.884] (--) evdev: Logitech USB Optical Mouse: Found 3 mouse buttons
[   167.884] (--) evdev: Logitech USB Optical Mouse: Found scroll wheel(s)
[   167.884] (--) evdev: Logitech USB Optical Mouse: Found relative axes
[   167.885] (--) evdev: Logitech USB Optical Mouse: Found x and y relative axes
[   167.885] (II) evdev: Logitech USB Optical Mouse: Configuring as mouse
[   167.885] (II) evdev: Logitech USB Optical Mouse: Adding scrollwheel support
[   167.885] (**) evdev: Logitech USB Optical Mouse: YAxisMapping: buttons 4 and 5
[   167.885] (**) evdev: Logitech USB Optical Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[   167.885] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/1-1.3:1.0/input/input6/event6"
[   167.885] (II) XINPUT: Adding extended input device "Logitech USB Optical Mouse" (type: MOUSE, id 9)
[   167.885] (II) evdev: Logitech USB Optical Mouse: initialized for relative axes.
[   167.885] (**) Logitech USB Optical Mouse: (accel) keeping acceleration scheme 1
[   167.885] (**) Logitech USB Optical Mouse: (accel) acceleration profile 0
[   167.885] (**) Logitech USB Optical Mouse: (accel) acceleration factor: 2.000
[   167.886] (**) Logitech USB Optical Mouse: (accel) acceleration threshold: 4
[   167.887] (II) config/udev: Adding input device Logitech USB Optical Mouse (/dev/input/mouse1)
[   167.887] (II) No input driver specified, ignoring this device.
[   167.887] (II) This device may have been added with another device file.
[   167.888] (II) config/udev: Adding input device USB2.0 UVC WebCam (/dev/input/event8)
[   167.888] (**) USB2.0 UVC WebCam: Applying InputClass "evdev keyboard catchall"
[   167.888] (II) Using input driver 'evdev' for 'USB2.0 UVC WebCam'
[   167.888] (**) USB2.0 UVC WebCam: always reports core events
[   167.888] (**) evdev: USB2.0 UVC WebCam: Device: "/dev/input/event8"
[   167.888] (--) evdev: USB2.0 UVC WebCam: Vendor 0x4f2 Product 0xb130
[   167.888] (--) evdev: USB2.0 UVC WebCam: Found keys
[   167.888] (II) evdev: USB2.0 UVC WebCam: Configuring as keyboard
[   167.888] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.0/input/input8/event8"
[   167.888] (II) XINPUT: Adding extended input device "USB2.0 UVC WebCam" (type: KEYBOARD, id 10)
[   167.888] (**) Option "xkb_rules" "evdev"
[   167.889] (**) Option "xkb_model" "evdev"
[   167.889] (**) Option "xkb_layout" "us"
[   167.890] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event3)
[   167.890] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[   167.890] (II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
[   167.890] (**) AT Translated Set 2 keyboard: always reports core events
[   167.890] (**) evdev: AT Translated Set 2 keyboard: Device: "/dev/input/event3"
[   167.890] (--) evdev: AT Translated Set 2 keyboard: Vendor 0x1 Product 0x1
[   167.890] (--) evdev: AT Translated Set 2 keyboard: Found keys
[   167.890] (II) evdev: AT Translated Set 2 keyboard: Configuring as keyboard
[   167.890] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input3/event3"
[   167.891] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 11)
[   167.891] (**) Option "xkb_rules" "evdev"
[   167.891] (**) Option "xkb_model" "evdev"
[   167.891] (**) Option "xkb_layout" "us"
[   167.892] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event4)
[   167.892] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
[   167.892] (II) Using input driver 'evdev' for 'SynPS/2 Synaptics TouchPad'
[   167.892] (**) SynPS/2 Synaptics TouchPad: always reports core events
[   167.892] (**) evdev: SynPS/2 Synaptics TouchPad: Device: "/dev/input/event4"
[   167.893] (--) evdev: SynPS/2 Synaptics TouchPad: Vendor 0x2 Product 0x7
[   167.893] (--) evdev: SynPS/2 Synaptics TouchPad: Found 3 mouse buttons
[   167.893] (--) evdev: SynPS/2 Synaptics TouchPad: Found absolute axes
[   167.893] (--) evdev: SynPS/2 Synaptics TouchPad: Found absolute multitouch axes
[   167.893] (--) evdev: SynPS/2 Synaptics TouchPad: Found x and y absolute axes
[   167.893] (--) evdev: SynPS/2 Synaptics TouchPad: Found absolute touchpad.
[   167.893] (II) evdev: SynPS/2 Synaptics TouchPad: Configuring as touchpad
[   167.893] (**) evdev: SynPS/2 Synaptics TouchPad: YAxisMapping: buttons 4 and 5
[   167.893] (**) evdev: SynPS/2 Synaptics TouchPad: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[   167.893] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio4/input/input4/event4"
[   167.893] (II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD, id 12)
[   167.893] (II) evdev: SynPS/2 Synaptics TouchPad: initialized for absolute axes.
[   167.894] (**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
[   167.894] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 0
[   167.894] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
[   167.894] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
[   167.895] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse0)
[   167.895] (II) No input driver specified, ignoring this device.
[   167.895] (II) This device may have been added with another device file.
[   167.897] (II) config/udev: Adding input device Toshiba input device (/dev/input/event7)
[   167.897] (**) Toshiba input device: Applying InputClass "evdev keyboard catchall"
[   167.897] (II) Using input driver 'evdev' for 'Toshiba input device'
[   167.897] (**) Toshiba input device: always reports core events
[   167.897] (**) evdev: Toshiba input device: Device: "/dev/input/event7"
[   167.897] (--) evdev: Toshiba input device: Vendor 0 Product 0
[   167.897] (--) evdev: Toshiba input device: Found keys
[   167.897] (II) evdev: Toshiba input device: Configuring as keyboard
[   167.898] (**) Option "config_info" "udev:/sys/devices/virtual/input/input7/event7"
[   167.898] (II) XINPUT: Adding extended input device "Toshiba input device" (type: KEYBOARD, id 13)
[   167.898] (**) Option "xkb_rules" "evdev"
[   167.898] (**) Option "xkb_model" "evdev"
[   167.898] (**) Option "xkb_layout" "us"
[   178.737] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12875
[   178.737] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[   178.737] (II) NOUVEAU(0): Modeline "1680x945"x0.0  121.68  1680 1728 1760 2080  945 947 953 975 -hsync -vsync (58.5 kHz eP)
[   186.983] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12875
[   186.984] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[   186.984] (II) NOUVEAU(0): Modeline "1680x945"x0.0  121.68  1680 1728 1760 2080  945 947 953 975 -hsync -vsync (58.5 kHz eP)
[   187.223] (II) NOUVEAU(0): EDID vendor "SEC", prod id 12875
[   187.223] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[   187.223] (II) NOUVEAU(0): Modeline "1680x945"x0.0  121.68  1680 1728 1760 2080  945 947 953 975 -hsync -vsync (58.5 kHz eP)

the kernel that I'm running is (because of other reported errors under the 3.5.0 kernel with nouveau that keeps me from being able to run the 3.5.0 kernel):

3.4.0-0.rc7.git6.1.fc18.x86_64

I'm attaching a dmesg log file showing any drm and nouveau messages.

Comment 9 kevin martin 2012-07-23 15:20:16 UTC
Created attachment 599816 [details]
dmesg of drm and nouveau related messages

Comment 10 Fedora End Of Life 2012-08-07 19:25:45 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.